org.apache.creadur.tentacles

## Class Platform

- java.lang.Object
- - org.apache.creadur.tentacles.Platform

    public class Platform
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Platform(TentaclesResources tentaclesResources, FileSystem fileSystem, IOSystem ioSystem)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Platform` `aPlatform()`
`FileSystem` `getFileSystem()`
`IOSystem` `getIoSystem()`
`TentaclesResources` `getTentaclesResources()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Platform

    public Platform(TentaclesResources tentaclesResources,
                    FileSystem fileSystem,
                    IOSystem ioSystem)

### Method Detail

#### aPlatform

    public static Platform aPlatform()

#### getTentaclesResources

    public TentaclesResources getTentaclesResources()

#### getFileSystem

    public FileSystem getFileSystem()

#### getIoSystem

    public IOSystem getIoSystem()